ko
팀 및 차량기사 업데이트

기사 업데이트

변경 가능한 기사 프로필 필드를 업데이트합니다. `start_location_type=office`는 현재 비즈니스 주소 + 좌표를 다시 스냅샷합니다(본문 `address`/`start_location_lat`/`start_location_long`은 무시; 비즈니스 좌표 필요, 없으면 400 BUSINESS_LOCATION_MISSING). `start_location_type=home`(또는 비움)은 본문의 주소 + 좌표를 사용합니다.

인수

idstringpath필수
기사 ID
addressobjectbody선택
Home address (the day-start point when start_location_type=home).
citystringbody선택
City / locality.
countrystringbody선택
Country (free-form or ISO code).
formattedstringbody선택
전체 표시 문자열; 설정 시 개별 항목보다 표시에 우선합니다.
linestringbody선택
도로명 1행.
line2stringbody선택
도로명 2행(호수, 스위트).
postal_codestringbody선택
우편번호 / ZIP 코드.
statestringbody선택
State / province / region.
assignment_tierenumbody선택
크루 등급: lead / buddy / float (float = 자동 크루 배정에서 제외).
business_group_idstringbody필수
역할 그룹. GET /permission/groups로 ID를 조회하세요.
emailstringbody선택
Email address. At least one of phone/email is required.
full_namestringbody필수
The person's full display name. Required; max 255 chars.
job_titlestringbody선택
표시 직함.
join_datestringbody선택
첫 근무일(YYYY-MM-DD).
phonestringbody선택
phone/email 중 최소 하나는 필수입니다.
start_location_latnumberbody선택
Explicit day-start latitude in decimal degrees (-90..90); when set it wins over the address geocode.
start_location_longnumberbody선택
Explicit day-start longitude in decimal degrees (-180..180); when set it wins over the address geocode.
start_location_typeenumbody선택
하루 시작 지점: home 또는 office; 설정 시 명시적 좌표가 우선합니다.
PUT/v1/technicians/{id}
curl -X PUT "https://api.crisphive.com/v1/technicians/9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" \
  -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \
  -H "Content-Type: application/json" \
  -d '{
  "address": {
    "city": "San Francisco",
    "country": "US",
    "formatted": "123 Market Street, San Francisco, CA 94103",
    "line": "123 Market Street",
    "line2": "Suite 200",
    "postal_code": "94103",
    "state": "CA"
  },
  "assignment_tier": "lead",
  "business_group_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01",
  "email": "jane.doe@example.com",
  "full_name": "Jane Cooper",
  "job_title": "Sample title",
  "join_date": "2026-07-02",
  "phone": "+14155550142",
  "start_location_lat": 1,
  "start_location_long": 1,
  "start_location_type": "home"
}'
요청 본문
{
"address": {
"city": ,
"country": ,
"formatted": ,
"line": ,
"line2": ,
"postal_code": ,
"state":
},
"assignment_tier": ,
"business_group_id": ,
"email": ,
"full_name": ,
"job_title": ,
"join_date": ,
"phone": ,
"start_location_lat": ,
"start_location_long": ,
"start_location_type":
}

응답